org.apache.cassandra.cql3

## Interface Operation.RawDeletion

All Known Implementing Classes:
  Operation.ColumnDeletion, Operation.ElementDeletion, Operation.FieldDeletion

Enclosing class:
  Operation

    public static interface Operation.RawDeletion

A parsed raw DELETE operation. This can be one of: - Deleting a column - Deleting an element of a collection

### Method Summary

All Methods Instance Methods Abstract Methods
`ColumnDefinition.Raw` `affectedColumn()` The name of the column affected by this delete operation.
`Operation` `prepare(java.lang.String keyspace, ColumnDefinition receiver, CFMetaData cfm)` This method validates the operation (i.e.

### Method Detail

#### affectedColumn

    ColumnDefinition.Raw affectedColumn()

The name of the column affected by this delete operation.

#### prepare

    Operation prepare(java.lang.String keyspace,
                      ColumnDefinition receiver,
                      CFMetaData cfm)
               throws InvalidRequestException

This method validates the operation (i.e. validate it is well typed) based on the specification of the column affected by the operation (i.e the one returned by affectedColumn()). It returns an Operation which can be though as post-preparation well-typed Operation.

Parameters:
  `receiver` - the "column" this operation applies to.
Returns:
  the prepared delete operation.
Throws:
  `InvalidRequestException`